      subroutine massAction(ionprod,x,aa,mu0,minList,nSpecies,
     $     nComp,nRxn)

      IMPLICIT NONE
      INTRINSIC exp

      integer nSpecies,nComp,nRxn,minList(nRxn),i,j
      real*8 ionprod(nRxn),x(nComp),aa(nComp,nSpecies),mu0(nSpecies),
     $     sum,bigExp,smallExp
      parameter (bigExp = 50.0, smallExp = -500.0)

      do i = 1,nRxn
         sum = -mu0(nComp+i)
         do j = 1,nComp
            sum = sum + aa(j,nComp+i)*x(j)
         enddo
         if (minList(i).eq.0) then
            sum = dmin1(bigExp, dmax1(sum,smallExp))
            ionprod(i) = exp(sum)
         else
            ionprod(i) = sum
         endif
      enddo


      return
      end
