c-----------------------------------------------------------------------
c debugOutput.f
c
c Write vector of different type to debug file.
c
c-----------------------------------------------------------------------

      subroutine debugOutput(msg,vec,name,n,unit,flag)
      IMPLICIT NONE
      integer i,n,unit,flag
      real*8 vec(n)
      character*15 name(n)
      character*(*) msg

      write(unit,1)msg,('-',i=1,len(msg))

      do i = 1,n
         if (flag.eq.0) then
            write(unit,5) i,vec(i)
         elseif (flag.eq.1) then
            write(unit,10) name(i),vec(i)
         else
            write(unit,10) 'r_'//name(i),vec(i)
         endif
      enddo
      write(unit,15)

c-----------------------------------------------------------------------
c     FORMAT STATEMENTS
c

 1    format(a,/,70a)
 5    format(i3, 2x, e12.6)
 10   format(a, e12.6)
 15   format(/)

      return
      end
