c**** START OF BLASPORT
#ifndef BLASPORT_H
#define BLASPORT_H

#if (!defined(_CRAYMPP))
#  define WAXPY  daxpy
#  define WCOPY  dcopy
#  define WDOT   ddot
#  define WASUM  dasum
#  define WPOTRF dpotrf 
#  define WPOTRS dpotrs
#  define WPBTRF dpbtrf 
#  define WPBTRS dpbtrs
#  define WSYTRF dsytrf 
#  define WSYTRS dsytrs
#  define WSYCON dsycon
#  define WSYTRS dsytrs
#  define WGETRF dgetrf
#  define WGETRS dgetrs
#  define WGECON dgecon
#  define WLANGE dlange 
#  define WLANSY dlansy
#else
#  define WAXPY  saxpy
#  define WCOPY  scopy
#  define WDOT   sdot
#  define WASUM  sasum
#  define WPOTRF spotrf 
#  define WPOTRS spotrs
#  define WPBTRF spbtrf 
#  define WPBTRS spbtrs
#  define WSYTRF ssytrf 
#  define WSYTRS ssytrs
#  define WSYCON ssycon
#  define WSYTRS ssytrs
#  define WGETRF sgetrf
#  define WGETRS sgetrs
#  define WGECON sgecon
#  define WLANGE slange 
#  define WLANSY slansy
#endif


#endif /* BLASPORT_H */
c**** END OF BLASPORT
