#ifndef globals_h
#define globals_h

extern int g_concSize[3];    /* dimensions of global concentration grid */
extern int g_concStart[3];   /* first cSlice numbers for this node */

extern int n_dom[3];         /* position of this node */
extern int n_domSum;         /* sum of positions */
extern int n_domSize[3];     /* dimension of node array */

extern int concPad[3];       /* depth of replicated data at node boundary */
extern int nComps;           /* number of problem components */

extern int l_concSize[3];    /* dimensions of the local concentration grid */
extern int pl_concSize[3];   /* padded dimensions of the local concentration grid */

extern double* l_concPlane[3]; /* 3 lists of grid spacings */
extern double* pl_concPlane[3]; /* 3 lists of grid spacings, including padding */

extern int (*nbr)[3][3];	/* neighboring processors */

#endif
