#ifndef _DEBUG_H
#define _DEBUG_H

void initDebug(int _myProc);
void openDebug(int file, int _myProc);
void closeDebug();

void debugPlace(int file, char* fileName, int fileLine);
void debugDouble(int file, char* name, double* array, int len);
void debugFloat(int file, char* name, float* array, int len);
void debugInt(int file, char* name, int* array, int len);
void debugString(int file, char* name, char* array);

#define PLACE(file) debugPlace((file),__FILE__,__LINE__)

int isNaN(double x);
void checkArrayNaN(double* a, int n, int callNumber);

#endif
