c=======================================================================
c Use with "draw"
c
c Writes only one k plane and ttypeType 1
c
      subroutine tracedraw(tpoints,volume,kk,nxc,nyc,nzc,nTtypes,
     $     vrefine1,vrefine2,vrefine3,file)
      implicit none
c
      integer kk,nxc,nyc,nzc,nTtypes,vrefine1,vrefine2,vrefine3,file
      real*4  tpoints(3,nTtypes,nxc*vrefine1+1,
     $                nyc*vrefine2+1,nzc*vrefine3+1)
      real*4  volume(nTtypes,nxc,nyc,nzc)
c
      integer i,j,k,ks,i2,j2,ttype
      character*4 kchar
c
c-----------------------------------------------------------------------
c Loop on k plane and set ttype type
c
      ttype = 1
c
      do 9000 k=1,nzc*vrefine3+1
c
c open file (DOES NOT WORK IN PARALLEL!)
c
      write(kchar,'(i4.4)') k
      open(unit=file,file="ztrace"//kchar)
c
c Grid
c
      write(file,1020) 'G'
      write(file,*) vrefine1*nxc,vrefine2*nyc
      do 100 j=1,vrefine2*nyc+1
      do 100 i=1,vrefine1*nxc+1
         write(file,1000) tpoints(1,ttype,i,j,k)
 100  continue
c
      write(file,1000)
      do 150 j=1,vrefine2*nyc+1
      do 150 i=1,vrefine1*nxc+1
         write(file,1000) tpoints(2,ttype,i,j,k)
 150  continue
c
c Scalar
c
      ks = min((k-1)/vrefine3 + 1,nzc)
c
      write(file,1020) 'S'
      write(file,*) vrefine1*nxc,vrefine2*nyc,1
      do 200 j=1,nyc
      do 200 j2=1,vrefine2
      do 200 i=1,nxc
      do 200 i2=1,vrefine1
         write(file,1000) volume(ttype,i,j,ks)
 200  continue
c
 1000 format(1p,e14.6)
 1020 format(a1)
c
      close(file)
c
 9000 continue
c
      return
      end
