
      subroutine jacEval(matrix,x,z,g,iparam,rparam,
     $     rwk,dimrwk,iwk,dimiwk)

      IMPLICIT NONE

c     Common areas for NIPS 

      integer n,me,mi,neq,niparam,nrparam
      common /nips_sizes/n,me,mi,neq,niparam,nrparam

c     Problem-independent declarations

      integer dimiwk,dimrwk,iparam(niparam),iwk(dimiwk)
      real*8 matrix(neq,neq),x(n),g(*),z(*),rparam(nrparam),
     $     rwk(dimrwk)

c     Other declarations

      integer nComp,nSpecies,nRxn,nMin,ip_minList,ip_minIndex,
     $     rp_aa,rp_b,rp_mu0

      real*8 epsConc

c ---------------------------------------------------------------
c     UNPACK PARAMETERS
c ---------------------------------------------------------------

c
c     INTEGER parameters
c
      nComp            = iparam(1) 
      nSpecies         = iparam(2)
      nRxn             = nSpecies - nComp
      nMin             = iparam(3)
      ip_minList       = 4
      ip_minIndex      = ip_minList + nRxn
c
c
c     REAL parameters
c
      epsConc = rparam(1)
      rp_aa   = 2
      rp_b    = rp_aa + nComp*nSpecies
      rp_mu0  = rp_b + nComp


c ---------------------------------------------------------------
c     CALL FUNCTION FOR JACOBIAN EVALUATION
c ---------------------------------------------------------------

      call jac(matrix,x,z,g,nSpecies,nComp,nRxn,nMin,
     $     rparam(rp_aa),rparam(rp_b),rparam(rp_mu0),
     $     iparam(ip_minList),iparam(ip_minIndex),rwk(1))

      return 
      end
