#include "msg.h"
#include "ftn.h"

double MSG_f_Wtime() {
  return MPI_Wtime();
}

/* reduction operations */
/* REMARK: the communicator used is NOT that in the calling arguments! */

void MSG_f_Gimin(int* buf, int* len, int* communicator) {
  MSG_Gimin(buf,*len,comm);
}

void MSG_f_Gimin1(int* value, int* communicator) {
  MSG_Gimin1(value,comm);
}

void MSG_f_Gimin2(int* buf1, int* buf2, int* len, int* communicator) {
  MSG_Gimin2(buf1,buf2,*len,comm);
}

void MSG_f_Gimax(int* buf, int* len, int* communicator) {
  MSG_Gimax(buf,*len,comm);
}

void MSG_f_Gimax1(int* value, int* communicator) {
  MSG_Gimax1(value,comm);
}

void MSG_f_Gimax2(int* buf1, int* buf2, int* len, int* communicator) {
  MSG_Gimax2(buf1,buf2,*len,comm);
}

void MSG_f_Gdmin(double* buf, int* len, int* communicator) {
  MSG_Gdmin(buf,*len,comm);
}

void MSG_f_Gdmin1(double* value, int* communicator) {
  MSG_Gdmin1(value,comm);
}

void MSG_f_Gdmin2(double* buf1, double* buf2, int* len, int* communicator) {
  MSG_Gdmin2(buf1,buf2,*len,comm);
}

void MSG_f_Gdmax(double* buf, int* len, int* communicator) {
  MSG_Gdmax(buf,*len,comm);
}

void MSG_f_Gdmax1(double* value, int* communicator) {
  MSG_Gdmax1(value,comm);
}

void MSG_f_Gdmax2(double* buf1, double* buf2, int* len, int* communicator) {
  MSG_Gdmax2(buf1,buf2,*len,comm);
}

void MSG_f_Gisum(int* buf, int* len, int* communicator) {
  MSG_Gisum(buf,*len,comm);
}

void MSG_f_Gisum1(int* value, int* communicator) {
  MSG_Gisum1(value,comm);
}

void MSG_f_Gisum2(int* buf1, int* buf2, int* len, int* communicator) {
  MSG_Gisum2(buf1,buf2,*len,comm);
}

void MSG_f_Gdsum(double* buf, int* len, int* communicator) {
  MSG_Gdsum(buf,*len,comm);
}

void MSG_f_Gdsum1(double* value, int* communicator) {
  MSG_Gdsum1(value,comm);
}

void MSG_f_Gdsum2(double* buf1, double* buf2, int* len, int* communicator) {
  MSG_Gdsum2(buf1,buf2,*len,comm);
}
