/* The output buffer (OB) contains one or more data items
   (and possibly the grid point values themselves) at each grid point.
   It is a 4-D array, the first index selects the data (and possibly
   grid point values) and the last 3 indices select the grid point */
static int outbufSizeGrid = -1;  /* Size of the OB grid */
static int nGridItems = 0;       /* Number of Grid items in OB */
static int nDataItems = 0;       /* Number of Data items in OB */

static int Needbuf = 1;          /* need to allocate buffer memory */
static int haveBndy = 0;         /* Have a boundary flag */
static int lw[4];                /* OB grid lower index */
static int up[4];                /* OB grid upper index */
static int upBnd[4];             /* OB grid upper index for collectFltArray */
static int sz[4];                /* OB grid size=up-lw+1 */
static int arrSizeG[4];          /* Global array size */
static int gblOrigin[4];         /* The global coordinates of Lower left bottom
                                    grid location */
static int zeros[4]={0,0,0,0};

static int nToWriteOnLine;       /* Number of items to write per line */

/* assume lw[0] = 0 */
#define outbuf_(m,i,j,k) \
  outbuf[(m) + sz[0]*((i) - lw[1] + sz[1]*((j)-lw[2] + sz[2]*((k)-lw[3])))]
#define outbuf_D_(m,i,j,k) outbuf[nGridItems + (m) \
  + sz[0]*((i) - lw[1] + sz[1]*((j)-lw[2] + sz[2]*((k)-lw[3])))]

