#define p(i,j,k) p(i,j,k)

#define utx(i,j,k)  (p(i+1,j,k)-p(i,j,k))/((hx(i)+hx(i+1))/2)
#define uty(i,j,k)  (p(i,j+1,k)-p(i,j,k))/((hy(j)+hy(j+1))/2)
#define utz(i,j,k)  (p(i,j,k+1)-p(i,j,k))/((hz(k)+hz(k+1))/2)

#define ux(i,j,k)  \
(D11(i,j-1,k-1)+D11(i,j-1,k)+D11(i,j,k-1)+D11(i,j,k))*utx(i,j,k)/4 \
+ ((D12(i,j-1,k)+D12(i,j-1,k-1))*(uty(i,j-1,k)*hx(i)+uty(i+1,j-1,k)*hx(i+1)) \
+  (D12(i,j,k) + D12(i,j,k-1))  *(uty(i,j,k)*hx(i) + uty(i+1,j,k)*hx(i+1)) \
+  (D13(i,j,k-1)+D13(i,j-1,k-1))*(utz(i,j,k-1)*hx(i)+utz(i+1,j,k-1)*hx(i+1)) \
+  (D13(i,j,k) + D13(i,j-1,k))  *(utz(i,j,k)*hx(i) + utz(i+1,j,k)*hx(i+1)) ) \
/(4*(hx(i)+hx(i+1)))

#define uy(i,j,k)  \
(D22(i-1,j,k-1)+D22(i-1,j,k)+D22(i,j,k-1)+D22(i,j,k))*uty(i,j,k)/4 \
+ ((D12(i-1,j,k)+D12(i-1,j,k-1))*(utx(i-1,j,k)*hy(j)+utx(i-1,j+1,k)*hy(j+1)) \
+  (D12(i,j,k) + D12(i,j,k-1))  *(utx(i,j,k)*hy(j) + utx(i,j+1,k)*hy(j+1)) \
+  (D23(i,j,k-1)+D23(i-1,j,k-1))*(utz(i,j,k-1)*hy(j)+utz(i,j+1,k-1)*hy(j+1)) \
+  (D23(i,j,k) + D23(i-1,j,k))  *(utz(i,j,k)*hy(j) + utz(i,j+1,k)*hy(j+1)) ) \
/(4*(hy(j)+hy(j+1)))

#define uz(i,j,k)  \
(D33(i-1,j-1,k)+D33(i,j-1,k)+D33(i-1,j,k)+D33(i,j,k))*utz(i,j,k)/4 \
+ ((D13(i-1,j,k)+D13(i-1,j-1,k))*(utx(i-1,j,k)*hz(k)+utx(i-1,j,k+1)*hz(k+1)) \
+  (D13(i,j,k) + D13(i,j-1,k))  *(utx(i,j,k)*hz(k) + utx(i,j,k+1)*hz(k+1)) \
+  (D23(i,j-1,k)+D23(i-1,j-1,k))*(uty(i,j-1,k)*hz(k)+uty(i,j-1,k+1)*hz(k+1)) \
+  (D23(i,j,k) + D23(i-1,j,k))  *(uty(i,j,k)*hz(k) + uty(i,j,k+1)*hz(k+1)) ) \
/(4*(hz(k)+hz(k+1)))

#define div(i,j,k)  \
  (ux(i,j,k)-ux(i-1,j,k))/hx(i) \
+ (uy(i,j,k)-uy(i,j-1,k))/hy(j) \
+ (uz(i,j,k)-uz(i,j,k-1))/hz(k);

div(i,j,k)
